Docs Doubao /api/v3/contents/generations/tasks
API reference

Vincentian diagram-cer

Submit Seedance/Doubao video generation task.

POST/api/v3/contents/generations/tasks

Body Parametersapplication/json

callback_url string

Callback URL invoked on task completion

content* array

Text/image content array

items
object object
model* string

Model name

Responses

200 OK application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example Vincentian diagram-cer
1{
2"model": "doubao-seedance-2-0-260128",
3"content": [
4{
5"type": "text",
6"text": "一只猫在草地上奔跑,阳光明媚,慢动作"
7}
8],
9"duration": 5,
10"resolution": "720p",
11"ratio": "16:9",
12"generate_audio": true
13}
Code Sample cURL
1curl -X POST "https://api.digislash.com/api/v3/contents/generations/tasks" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"model": "doubao-seedance-2-0-260128",
6"content": [
7{
8"type": "text",
9"text": "一只猫在草地上奔跑,阳光明媚,慢动作"
10}
11],
12"duration": 5,
13"resolution": "720p",
14"ratio": "16:9",
15"generate_audio": true
16}'
Response
1▼{
2"code": "model_price_not_configured",
3"message": "模型 cinema-generate-2.0 未配置价格,请在后台【运营】->【模型价格】中配置价格",
4"data": null
5}